Subject: cygwin32 Linux -> Win 32 cross compiling rpm
From: [email-masked] (Peter Braam)

13 Jan 1998 05:56:29 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: [email-masked], [email-masked],
        [email-masked]

I have uploaded a (huge) source and binary RPM to ftp.redhat.com for the
contrib area.
    cygwin32-b18-2.i386.rpm
    cygwin32-b18-2.src.rpm
    cygwin32-b18-2.README

Alternatively you can get it from ftp.coda.cs.cmu.edu:/pub/tools

This contains Cygnus' tools for Linux -> Win32 cross compiling for dynamic
linking with Cygwin's cygwin.dll. Binaries can run on NT & Windows 95. 

See http://www.cygnus.com/misc/gnu-win32/ for details about this project.

You can port big Unix programs to NT with this -- without sacrificing
you usual nice RedHat environment.  Given the bugs in the current
Cygwin release (b18 from the "latest" directory at ftp.cygnus.com)
this is about as compliant as I can get it -- I know some less used
headers are missing from their distribution.

The rpm info gives an example of its use.

Peter Braam

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".